Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.process
Class AttributeSet

    java.lang.Object
      com.novell.xsl.process.AttributeSet

All Implemented Interfaces:
  Template

    public class AttributeSet

extends Object
implements Template

Class implementing xsl:attribute-set functionality

Constructor Summary
`AttributeSet(ExpandedQName name, Collection attributeSetNames, Template[] attributes, int importance, Node nsContext)` Construct an `AttributeSet` instance

Method Summary
`void` | `dump(PrintWriter out, int indent)` Dumps this object to the specified output stream.
`ExpandedQName` | `getName()` Return the expanded name of this attribute set
`Node` | `getNamespaceContext()` Return the node that is the namespace context for this template
`void` | `instantiate(ProcessingEnv env, Node currentNode, ResultHandler result)` Instantiates this template for the specified current node and sends the result to the specified result handler.
`void` | `merge(AttributeSet otherSet)` Merge this attribute set with the passed attribute set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeSet

    public AttributeSet(ExpandedQName name,
                        Collection attributeSetNames,
                        Template[] attributes,
                        int importance,
                        Node nsContext)

  Construct an `AttributeSet` instance

  Parameters:
    `name` - The expanded name of the attribute set
    `attributeSetNames` - Other attribute sets to use in building the total collection of attributes (may be null)
    `attributes` - The `AttributeTemplate` objects that were constructed from the content of the xsl:attribute-set element
    `importance` - The import precedence of the `xsl:attribute-set` element
    `nsContext` - The namespace context node

Method Detail

### getName

    public ExpandedQName getName()

  Return the expanded name of this attribute set

  Returns:
    The expanded name of this attribute set

### merge

    public void merge(AttributeSet otherSet)
               throws XSLException

  Merge this attribute set with the passed attribute set. Attribute definitions from the `otherSet` with the same name but higher import precedence will replace definitions in this set.

  Parameters:
    `otherSet` - The other `AttributeSet` instance with which to merge
  Throws:
    `XSLException`

### instantiate

    public void instantiate(ProcessingEnv env,
                            Node currentNode,
                            ResultHandler result)
                     throws XSLException

  Instantiates this template for the specified current node and sends the result to the specified result handler.

  Specified by:
    `instantiate` in interface `Template`
  Parameters:
    `env` - the current processing environment
    `currentNode` - the current source node
    `result` - the handler to which results are sent
  Throws:
    `XSLException` - if a fatal error occurs during instantiation

### getNamespaceContext

    public Node getNamespaceContext()

  Return the node that is the namespace context for this template

  Specified by:
    `getNamespaceContext` in interface `Template`
  Returns:
    The namespace context node.

### dump

    public void dump(PrintWriter out,
                     int indent)

  Dumps this object to the specified output stream.

  Specified by:
    `dump` in interface `Template`
  Parameters:
    `out` - the output stream to write to
    `indent` - number of tabs to indent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD